=== src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 2007-2008 INdT.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

SOURCES = $(actionmanagerdaemon_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/actionmanagerdaemon
pkglibdir = $(libdir)/actionmanagerdaemon
pkgincludedir = $(includedir)/actionmanagerdaemon
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
bin_PROGRAMS = actionmanagerdaemon$(EXEEXT)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_actionmanagerdaemon_OBJECTS = actionmanagerdaemon-main.$(OBJEXT) \
	actionmanagerdaemon-MediaPlayerPause.$(OBJEXT) \
	actionmanagerdaemon-MediaPlayerPlay.$(OBJEXT) \
	actionmanagerdaemon-Headphone.$(OBJEXT) \
	actionmanagerdaemon-ActionManagerDaemon.$(OBJEXT) \
	actionmanagerdaemon-Action.$(OBJEXT) \
	actionmanagerdaemon-Trigger.$(OBJEXT) \
	actionmanagerdaemon-TriggerContainer.$(OBJEXT)
actionmanagerdaemon_OBJECTS = $(am_actionmanagerdaemon_OBJECTS)
am__DEPENDENCIES_1 =
actionmanagerdaemon_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/actionmanagerdaemon-Action.Po \
	./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po \
	./$(DEPDIR)/actionmanagerdaemon-Headphone.Po \
	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po \
	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po \
	./$(DEPDIR)/actionmanagerdaemon-Trigger.Po \
	./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po \
	./$(DEPDIR)/actionmanagerdaemon-main.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(actionmanagerdaemon_SOURCES)
DIST_SOURCES = $(actionmanagerdaemon_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run aclocal-1.8
ACTIONMANAGERDAEMON_LOCALEDIR = ${datarootdir}/locale
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run tar
AUTOCONF = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoconf
AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBOSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
LIBOSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBS = 
LIBXML2PP_CFLAGS = 
LIBXML2PP_LIBS = 
LIBXMLPP_CFLAGS = -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBXMLPP_LIBS = -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run makeinfo
OBJEXT = o
PACKAGE = actionmanagerdaemon
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ActionManagerDaemon
PACKAGE_STRING = ActionManagerDaemon 0.1
PACKAGE_TARNAME = actionmanagerdaemon
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
ac_ct_CXX = g++
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
actionmanagerdaemon_SOURCES = main.cpp \
                     Actions/MediaPlayerPause.cpp \
                     Actions/MediaPlayerPause.h \
                     Actions/MediaPlayerPlay.cpp \
                     Actions/MediaPlayerPlay.h \
                     TriggerContainers/Containers.h \
                     TriggerContainers/Headphone.cpp \
                     TriggerContainers/Headphone.h \
                     osso_context.h \
                     ActionManagerDaemon.cpp \
                     ActionManagerDaemon.h \
                     Action.cpp \
                     Action.h \
                     Trigger.cpp \
                     Trigger.h \
                     TriggerContainer.cpp \
                     TriggerContainer.h

actionmanagerdaemon_LDADD = $(LIBOSSO_LIBS) $(LIBXMLPP_LIBS)
actionmanagerdaemon_CXXFLAGS = $(LIBOSSO_CFLAGS) $(LIBXMLPP_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
actionmanagerdaemon_CFLAGS = $(LIBOSSO_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
actionmanagerdaemon$(EXEEXT): $(actionmanagerdaemon_OBJECTS) $(actionmanagerdaemon_DEPENDENCIES) 
	@rm -f actionmanagerdaemon$(EXEEXT)
	$(CXXLINK) $(actionmanagerdaemon_LDFLAGS) $(actionmanagerdaemon_OBJECTS) $(actionmanagerdaemon_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/actionmanagerdaemon-Action.Po
include ./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po
include ./$(DEPDIR)/actionmanagerdaemon-Headphone.Po
include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po
include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po
include ./$(DEPDIR)/actionmanagerdaemon-Trigger.Po
include ./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po
include ./$(DEPDIR)/actionmanagerdaemon-main.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

actionmanagerdaemon-main.o: main.cpp
