=== debian/changelog ===
actionmanagerdaemon (0.1) unstable; urgency=low

  * Initial release, Contains only play/pause of mediaplayer when plugin/pullout headphones

 -- Joost Kop <>  Thu,  14 Jan 2009 21:00:00 -0000
