=== debian/control ===
Source: actionmanagerdaemon
Section: user/system
Priority: extra
Maintainer: Joost Kop <joost.kop@gmail.com>
Build-Depends: debhelper (>= 5), libosso-dev ( >= 2.21 ), libglib2.0-dev, libdbus-1-dev, libxml++2.6-dev
Standards-Version: 3.7.2

Package: actionmanagerdaemon
Architecture: any
Depends: ${shlibs:Depends}
Description: The ActionManager lets a user select an action to a (system) trigger. Eg.: A trigger like headphone plugin/pullout or battery fully charged to an action like MediaPlayer Pause/Play, selecting a (system)profile.
