## actionmanagerdaemon 0.2

=== Makefile ===
--- 
+++ 
@@ -93,6 +93,9 @@
 AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
 AWK = gawk
+CC = gcc
+CCDEPMODE = depmode=gcc3
+CFLAGS = -Wall -g -O2
 CPPFLAGS = 
 CXX = g++
 CXXDEPMODE = depmode=gcc3
@@ -126,16 +129,19 @@
 PACKAGE = actionmanagerdaemon
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ActionManagerDaemon
-PACKAGE_STRING = ActionManagerDaemon 0.1
+PACKAGE_STRING = ActionManagerDaemon 0.2
 PACKAGE_TARNAME = actionmanagerdaemon
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 0.1
+VERSION = 0.2
+ac_ct_CC = gcc
 ac_ct_CXX = g++
+am__fastdepCC_FALSE = #
+am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
 am__fastdepCXX_TRUE = 
 am__include = include
@@ -345,6 +351,3 @@
 	    $$tags $$unique; \
 	fi
 ctags: CTAGS
-CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
