=== src/Makefile ===
--- 
+++ 
@@ -65,10 +65,14 @@
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
 am_actionmanagerdaemon_OBJECTS = actionmanagerdaemon-main.$(OBJEXT) \
+	actionmanagerdaemon-Actions.$(OBJEXT) \
 	actionmanagerdaemon-MediaPlayerPause.$(OBJEXT) \
 	actionmanagerdaemon-MediaPlayerPlay.$(OBJEXT) \
+	actionmanagerdaemon-Containers.$(OBJEXT) \
 	actionmanagerdaemon-Headphone.$(OBJEXT) \
 	actionmanagerdaemon-ActionManagerDaemon.$(OBJEXT) \
+	actionmanagerdaemon-ActionManagerDBusServer.$(OBJEXT) \
+	actionmanagerdaemon-DBusServer.$(OBJEXT) \
 	actionmanagerdaemon-Action.$(OBJEXT) \
 	actionmanagerdaemon-Trigger.$(OBJEXT) \
 	actionmanagerdaemon-TriggerContainer.$(OBJEXT)
@@ -80,22 +84,26 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 DEP_FILES = ./$(DEPDIR)/actionmanagerdaemon-Action.Po \
+	./$(DEPDIR)/actionmanagerdaemon-ActionManagerDBusServer.Po \
 	./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po \
+	./$(DEPDIR)/actionmanagerdaemon-Actions.Po \
+	./$(DEPDIR)/actionmanagerdaemon-Containers.Po \
+	./$(DEPDIR)/actionmanagerdaemon-DBusServer.Po \
 	./$(DEPDIR)/actionmanagerdaemon-Headphone.Po \
 	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po \
 	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po \
 	./$(DEPDIR)/actionmanagerdaemon-Trigger.Po \
 	./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po \
 	./$(DEPDIR)/actionmanagerdaemon-main.Po
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+CCLD = $(CC)
+LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(actionmanagerdaemon_SOURCES)
 DIST_SOURCES = $(actionmanagerdaemon_SOURCES)
 ETAGS = etags
@@ -110,6 +118,9 @@
 AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
 AWK = gawk
+CC = gcc
+CCDEPMODE = depmode=gcc3
+CFLAGS = -Wall -g -O2
 CPPFLAGS = 
 CXX = g++
 CXXDEPMODE = depmode=gcc3
@@ -143,16 +154,19 @@
 PACKAGE = actionmanagerdaemon
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ActionManagerDaemon
-PACKAGE_STRING = ActionManagerDaemon 0.1
+PACKAGE_STRING = ActionManagerDaemon 0.2
 PACKAGE_TARNAME = actionmanagerdaemon
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 0.1
+VERSION = 0.2
+ac_ct_CC = gcc
 ac_ct_CXX = g++
+am__fastdepCC_FALSE = #
+am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
 am__fastdepCXX_TRUE = 
 am__include = include
@@ -195,16 +209,25 @@
 target_alias = 
 AUTOMAKE_OPTIONS = foreign
 actionmanagerdaemon_SOURCES = main.cpp \
+                     Actions/Actions.cpp \
+                     Actions/Actions.h \
                      Actions/MediaPlayerPause.cpp \
                      Actions/MediaPlayerPause.h \
                      Actions/MediaPlayerPlay.cpp \
                      Actions/MediaPlayerPlay.h \
+                     TriggerContainers/Containers.cpp \
                      TriggerContainers/Containers.h \
                      TriggerContainers/Headphone.cpp \
                      TriggerContainers/Headphone.h \
                      osso_context.h \
                      ActionManagerDaemon.cpp \
                      ActionManagerDaemon.h \
+                     dbus/ActionManagerDBusServer.cpp \
+                     dbus/ActionManagerDBusServer.h \
+                     dbus/DBusServer.c \
+                     dbus/DBusServer.h \
+                     dbus/ActionManager-server-dbus.h \
+                     dbus/dbus-common.h \
                      Action.cpp \
                      Action.h \
                      Trigger.cpp \
@@ -214,11 +237,11 @@
 
 actionmanagerdaemon_LDADD = $(LIBOSSO_LIBS) $(LIBXMLPP_LIBS)
 actionmanagerdaemon_CXXFLAGS = $(LIBOSSO_CFLAGS) $(LIBXMLPP_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
-actionmanagerdaemon_CFLAGS = $(LIBOSSO_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
+actionmanagerdaemon_CFLAGS = $(LIBOSSO_CFLAGS) $(LIBXMLPP_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
 all: all-am
 
 .SUFFIXES:
-.SUFFIXES: .cpp .o .obj
+.SUFFIXES: .c .cpp .o .obj
 $(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -282,28 +305,6 @@
 	-rm -f *.tab.c
 
 include ./$(DEPDIR)/actionmanagerdaemon-Action.Po
+include ./$(DEPDIR)/actionmanagerdaemon-ActionManagerDBusServer.Po
 include ./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po
-include ./$(DEPDIR)/actionmanagerdaemon-Headphone.Po
-include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po
-include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po
-include ./$(DEPDIR)/actionmanagerdaemon-Trigger.Po
-include ./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po
-include ./$(DEPDIR)/actionmanagerdaemon-main.Po
-
-.cpp.o:
-	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CXXDEPMODE) $(depcomp) \
-#	$(CXXCOMPILE) -c -o $@ $<
-
-.cpp.obj:
-	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CXXDEPMODE) $(depcomp) \
-#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-actionmanagerdaemon-main.o: main.cpp
+include ./$(DEPDIR)/actionmanagerdaemon-Actions.Po
