=== debian/changelog ===
actionmanagerdaemon (0.2) unstable; urgency=low

  * Added dbus-server (for communication with ActionManager (UI) )

 -- Joost Kop <joost.kop@gmail.com>  Thu,  4 feb 2010 21:00:00 -0000
