=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 	dh_installdocs
 	dh_installexamples
 	dh_install	debian/actionmanagerd /etc/event.d/
-	dh_install	data/actionmanager.xml /home/user/.actionmanager/
+#	dh_install	data/actionmanager.xml /home/user/.actionmanager/
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
